<style media="screen" type="text/css">
    /*@#page-include#(commonMine.css)*/
</style>


<p id="introText"> Na ovoj stranici vidjet ćemo kako ostvariti posmični registar uporabom bistabila.</p>

<div class="basicText">
    Posmični registar je &ndash; registar. Sekvencijski modul koji se sastoji od niza bistabila i određene kombinacijske
    logike. Kao i na prethodnoj stranici, registar je izgrađen od bistabila D. Razlika je samo u načinu povezivanja
    bistabila.
</div>
<hr>
<div class="header">
    Posmični registar
</div>

<p class="basicText">
    Na sljedećoj simulaciji nalazi se jedan posmični registar. Karakteristike simulacije navedene su u nastavku.
</p>

<hr>


<ul class="listStyle">
    <li>S lijeve strane nalazi se ulaz \(S_{in}\).</li>
    <li>Na donjoj strani nalazi se signal takta, koji djeluje na padajući brid.</li>
    <li>Dekoder pokazuje trenutno stanje izlaza ovog registra.</li>
    <li>U desnom gornjem kutu nalazi se trenutni broj bistabila.</li>
</ul>
<hr>

<p class="basicText">
    Ovaj registar izveden je tako da mu podatak koji želimo vidjeti na izlazima moramo dovesti na ulaz \(S_{in}\).
    Jednom kada smo doveli podatak na taj ulaz, padajućim bridom signala takta možemo posmicati trenutni podatak po za
    jedno mjesto udesno.
</p>
<hr>
<div class="header">
    Primjer
</div>
<p class="basicText">
    Isprobajte sljedeću simulaciju tako da dovedete vrijednost 1 na ulaz \(S_{in}\). Potom generirajte dovoljno
    padajućih bridova signala takta kako bi vrijednost s ulaza \(S_{in}\) posmaknuli za 3 mjesta. Jeste li uočili kako
    registar radi?
    <br><br>
    Vrijednost koju dovedemo na ulaz puni izlaze ovog registra. Da bismo saznali zašto je tome tako, pogledajmo
    implementaciju ovog registra.
    Kliknite desnom tipkom miša unutar pravokutnika koji opisuje ovaj registar.
    Sada možete vidjeti da je ovaj posmični registar izveden od niza bistabila koji su povezani na drugačiji način nego
    uobičajeni registar (primjerice, onaj s prošle stranice).
    <br><br>
    U ovom pogledu vidimo da je na ulaz prvog bistabila doveden upravo ulaz \(S_{in}\) , a na ulaze ostalih bistabila
    <b>D</b> upravo izlaz onog prethodnog bistabila. Ovako povezivanje imat će za posljedicu posmicanje podatka koji se
    trenutno nalazi na izlazu. Posmak podatka dogodit će se upravo na padajući brid signala takta (bistabili djeluju na
    padajući brid) i to za jedan udesno.
    <br><br>
    Uzmimo za primjer podatak <code>1000</code>. S pretpostavkom da je na ulazu \(S_{in}\) vrijednost 0, nakon jednog
    padajućeg brida, sljedeća vrijednost bit će <code>0100</code>, nakon sljedećeg padajućeg brida na izlazu će biti
    vrijednost <code>0010</code> a zatim i <code>0001</code>. Što će se dogoditi u ovom trenutku?
    Uočite kako se podatak zadnjeg bistabila (onog najdesnijeg) prilikom dolaska novog bita gubi. Pa će tako na sljedeći
    padajući brid naš podatak postati 0 (<code>0000</code>). Konačno, potpuni slijed ovog posmicanja je: <code>1000 ->
    0100 -> 0010 -> 0001 -> 0000</code>. Isprobajte na simulaciji ovaj posmak i pratite dekoder. Trebali biste vidjeti
    ovaj redoslijed brojeva: \(8,\hskip 2mm 4,\hskip 2mm 2,\hskip 2mm 1, \hskip 2mm 0\).
</p>


<hr>
<div align="center">
    <canvas id="shiftRegisters" width="900" height="500"></canvas>
</div>
<hr>

<p class="basicText">
    Postoji puno vrsta posmačnih registara. Navedimo neke:
</p>


<hr>
<ul class="listStyle">
    <li>Posmačni registar s paralelnim ulazima i paralelnim izlazima.</li>
    <li>Posmačni registar sa serijskim ulazima i paralelnim izlazima.</li>
    <li>Posmačni registar s paralelnim ulazima i serijskim izlazima.</li>
    <li>Univerzalni registri.</li>
    <li>Johnsonovo brojilo.</li>
    <li>Prstenasto brojilo.</li>
</ul>
<hr>

<p class="basicText">
    Od navedenih posmačnih registara na kraju ove lekcije upoznat ćemo se sa zadnja dva.
</p>


<p id="outroText">
    Na sljedećoj stranici pogledat ćemo i kako konstruirati brojilo.
</p>


<script>
    /*@#page-include#(library.js)*/
    /*@#page-include#(shiftReg.js)*/
</script>